summaryrefslogtreecommitdiff
path: root/utils/filtron.sh
diff options
context:
space:
mode:
Diffstat (limited to 'utils/filtron.sh')
-rwxr-xr-xutils/filtron.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/utils/filtron.sh b/utils/filtron.sh
index 8ad32a319..2536214e4 100755
--- a/utils/filtron.sh
+++ b/utils/filtron.sh
@@ -337,7 +337,8 @@ EOF
echo "export SERVICE_HOME=$SERVICE_HOME"
tee_stderr <<EOF | sudo -i -u "$SERVICE_USER"
-grep -qFs -- 'source $GO_ENV' ~/.profile || echo 'source $GO_ENV' >> ~/.profile
+touch "$GO_ENV"
+grep -qFs -- 'source "$GO_ENV"' ~/.profile || echo 'source "$GO_ENV"' >> ~/.profile
EOF
}